export interface FetchAccountsResponse {
    viewer: Viewer;
}

export interface Viewer {
    id: string;
    accounts: Accounts;
}

export interface Accounts {
    edges: Array<Edge>;
    totalCount: number;
}

export interface Edge {
    //appears to be an id?
    cursor: string;
    node: Node;
}

export interface Node {
    id: string;
    idAccount: string;
    name: string;
    accountNumber: string;
    balance: number;
    availableAmount: number;
    currency: string;
    accountProductName: string;
    overdraftLimit: number;
    isVaxtareikningur30: boolean;
    isNoticeAccount: boolean;
    hasDebitCards: boolean;
    canBeRegularSavingsAccount: boolean;
    isWithdrawalAccount: boolean;
    isOverdraftAllowed: boolean;
    showOnFrontpage: boolean;
}
